<?php

namespace Exception;

class LoginException extends \Exception {

    public static function errorToRequestDataFromIdentity(\Exception $previousException = null){
        return new static("Occurred a error on request of user data from Identity. Error: ".$previousException->getMessage(), null, $previousException);
    }

    public static function errorGetSessionUserData(\Exception $previousException = null){
        return new static("Error at try get session userData", null, $previousException);
    }

    public static function errorCloseSession(\Exception $previousException = null){
        return new static("Error at try close session", null, $previousException);
    }
} 