<?php

namespace Service;


class Accumulate {

    public static function accumulate($rows, $propertyToAccumulate, $name = "") {
        if($name == ""){
            $name = $propertyToAccumulate;
        }
        $lastIndex = null;
        foreach($rows as $index => &$row) {
            if(isset($rows[$lastIndex]) && isset($rows[$lastIndex][$propertyToAccumulate]) &&  isset($row[$propertyToAccumulate])) {
                $row[$name] = $rows[$lastIndex][$name] + $row[$propertyToAccumulate];
            }else{
                $row[$name] = $row[$propertyToAccumulate];
            }
            $lastIndex = $index;
        }
        return $rows;
    }
} 